﻿<script>

    $("#formSearch").on('submit', function (e) {
        e.preventDefault();
        var Search = $('#Search').val();
        var Option = $('input[name=option]:checked', '#formSearch').val();
        var TuNgay = $('#TuNgay').val();
        var DenNgay = $('#DenNgay').val();
        var IdDonVi = $('.IdDonVi').select2("val");
        var lsIdDonVi = '';
        for (var i = 0; i <= IdDonVi.length-1; i++) {
            if(i==0) lsIdDonVi = IdDonVi[i];
            else lsIdDonVi +=',' + IdDonVi[i];
        }
        var IdLoaiVanBan = $('#IdLoaiVanBan').select2("val");
        var lsIdLoaiVanBan = '';
        for (var i = 0; i <= IdLoaiVanBan.length-1; i++) {
            if(i==0) lsIdLoaiVanBan = IdLoaiVanBan[i];
            else lsIdLoaiVanBan +=',' + IdLoaiVanBan[i];
        }
        if (Search) {
            $.ajax({
                url: '@Url.Action("GetSearch", "VanPhongSo")',
                type: 'POST',
                dataType: 'text',
                data: { Search: Search, Option:Option, TuNgay:TuNgay, DenNgay:DenNgay,IdDonVi:lsIdDonVi, IdLoaiVanBan:lsIdLoaiVanBan },
                success: function (data) {
                    console.log(data);
                    if (data != "") {
                        var vanbans = JSON.parse(data);
                        var i = 0;
                        $('.count').html('Tìm thấy ' + vanbans.length + ' kết quả!');
                        var html = '';
                        for (i = 0; i < vanbans.length; i++) {
                            html += '<div class="list-group-item list-group-item-action mt-2">';
                            html += '<div class="d-md-flex d-block w-100 justify-content-between">';
                            html += '<h5 class="mb-1">Mã văn bản: <b class="mavanban">' + vanbans[i].MaVanBan + '</b></h5>';
                            html += '<small>Ngày tạo: '+ vanbans[i].NgayTao +'</small>';
                            html += '</div>';
                            if (Option == 1)
                                html += '<h5 class="mb-1 btn-link"><a href="/vanphongso/bochungtu_chitiet/' + vanbans[i].IdVanBan + '">' + vanbans[i].TieuDeVanBan + '</a></h5>';
                            else {
                                if(vanbans[i].Link!="")
                                    html += '<h5 class="mb-1 btn-link"><a href="' + vanbans[i].Link + '">' + vanbans[i].TieuDeVanBan + '</a></h5>';
                                else
                                    html += '<h5 class="mb-1 btn-link showChuaCoLink"><a class="showChuaCoLink" href="#">' + vanbans[i].TieuDeVanBan + '</a></h5>';
                            }
                            html += '<p class="mb-1">Nội dung: '+ vanbans[i].NoiDungVanBan +'</p>';
                            html += '<div class="d-md-flex d-block w-100 justify-content-between">';
                            html += '<small class="">Phòng ban: '+ vanbans[i].TenDonVi +'</small>';
                            html += '<small>'+ vanbans[i].TenDangNhap +'</small>';
                            html += '</div>';
                            html += '</div>';
                        }
                        $('.list-group').html(html);
                    } else {
                        $('.count').html('Không tìm thấy kết quả nào phù hợp với từ khóa đang tìm!');
                    }
                }
            });
        } else {
            doNotify("Vui lòng nhập từ khóa để tìm kiếm!", "error");
        }
        return false;
    });
    //iq-card-body
    $( ".iq-card-body" ).on( "click", "a.showChuaCoLink", function(e) {
        doNotify("Chứng từ này chưa có file scan!", "error");
    });

    $('.IdDonVi').select2();
    $('.IdLoaiVanBan').select2();

</script>